Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface SourcesTreeEvents

All Known Implementing Classes:
  Tree

    public interface SourcesTreeEvents

A widget that implements this interface sources the events defined by the `TreeListener` interface.

Method Summary
`void` | `addTreeListener(TreeListener listener)` Adds a listener interface to receive tree events.
`void` | `removeTreeListener(TreeListener listener)` Removes a previously added listener interface.

Method Detail

### addTreeListener

    void addTreeListener(TreeListener listener)

  Adds a listener interface to receive tree events.

  Parameters:
    `listener` - the listener interface to add

### removeTreeListener

    void removeTreeListener(TreeListener listener)

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD